Get aggregated balance (tokens + CEX)
GET
/v1/asset/balance
const url = 'https://api.parasta.io/v1/asset/balance';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.parasta.io/v1/asset/balance \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” networkId
string
tokenId
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
totalValueKrw
string
tokens
Array<object>
object
tokenId
string
symbol
string
decimals
integer
iconUrl
string
balances
Array<object>
object
networkId
string
balance
string
displayBalance
string
valueKrw
string
totalDisplayBalance
string
totalValueKrw
string
cexAccounts
Array<object>
object
cexAccountId
string
provider
string
label
string
balances
Array<object>
object
asset
string
free
string
locked
string
valueKrw
string
lastSyncAt
string format: date-time
lastSyncAt
string format: date-time
Example generated
{ "totalValueKrw": "example", "tokens": [ { "tokenId": "example", "symbol": "example", "decimals": 1, "iconUrl": "example", "balances": [ { "networkId": "example", "balance": "example", "displayBalance": "example", "valueKrw": "example" } ], "totalDisplayBalance": "example", "totalValueKrw": "example" } ], "cexAccounts": [ { "cexAccountId": "example", "provider": "example", "label": "example", "balances": [ { "asset": "example", "free": "example", "locked": "example", "valueKrw": "example" } ], "lastSyncAt": "2026-04-15T12:00:00Z" } ], "lastSyncAt": "2026-04-15T12:00:00Z"}